Subject: bug#65156: 29.1; Reading from pipe with --insert or insert-file-contents no longer supported

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Aug 2023 15:00:26 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 9 Aug 2023 10:29:12 +0200
> Cc: Eli Zaretskii <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  Paul Eggert <[email-masked]>,
>  [email-masked],
>  [email-masked]
> 
> 9 aug. 2023 kl. 10.15 skrev Po Lu <[email-masked]>:
> 
> > Right, but that's a problem with the test: /dev/urandom is seekable
> > under the Linux kernel.  I fixed this on master by checking for a
> > regular file instead of a seekable file when verifying BEG, but that's
> > too extensive a change for Emacs 29.
> 
> Thank you. We cannot have tests that keep failing, so I disabled it on emacs-29.

Thanks, but that wasn't TRT in this case.  That test is useful, and
moreover, tests a feature introduced in Emacs 29.  One of the
sub-tests fails, so I just commented it out for now, and re-enabled
the test as a whole.